package com.muyu.domain;
import  lombok.AllArgsConstructor;
import  lombok.Builder;
import  lombok.Data;
import  lombok.NoArgsConstructor;
/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：cloud-etl-engine
 * @name：EnginechildrenList
 * @Date：2024/8/27 21:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EngineChildrenList extends EngineMaintenance {
    /**
     * 引擎名称
     */
    private String engineName;
    /**
     * 引擎编码
     */
    private Integer engineCode;
    /**
     * 引擎版本
     */
    private String engineVersion;
    /**
     * 类型
     */
    private Integer Type;
    /**
     * 状态
     */
    private Integer engineStatus;
    /**
     * 作用域
     */
    private Integer engineScope;
    /*+
    * 描述
     */
    private String engineRemark;
}
